﻿@model IEnumerable<SecretUsagerViewModel>

@{
    ViewData["Title"] = "Liste secrets publique";
}

<h1>Liste des secrets</h1>


<form asp-action="ListeSecretsPublique" method="get">
    Recherche: <input type="text" name="searchString" />
    <input type="submit" value="Search" />
</form>

<p>
    <a asp-action="ListeSecretsPublique">Retour vers la liste complète.</a>
</p>


@if (!string.IsNullOrEmpty(ViewBag.searchString))
{
    <p>Résultats pour la recherche : @Html.Raw(ViewBag.searchString) </p>
}

<table class="table">
    <thead>
        <tr>
            <th>Prénom</th>
            <th>Nom</th>
            <th>Alias</th>
            <th>Secret</th>
            <th>Télécharger le journal secret</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model) 
    {
            <tr>
                <td>@Html.Raw(item.Prenom)</td>
                <td>@Html.Raw(item.Nom)</td>
                <td>@Html.Raw(item.Alias)</td>
                <td>@Html.Raw(item.Apercu)</td>
                <td>
                    <a asp-controller="FileIO" asp-action="TelechargerFichier" asp-route-IdUsager="@item.IdUsager">Journal</a>
                </td>
            </tr>
    }
    </tbody>
</table>
